/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.fw.persistent;

import java.util.List;

/**
 * Initial javadoc for class QueryResults.
 * 
 * Created Sep 19, 2006 10:29:46 AM
 * @author DNS   BOHMEG
 */
public class QueryResults implements QueryIncrementTracker {
	/**
    * An instance of serialVersionUID 
    */
   private static final long serialVersionUID = 8731283674771240435L;
   private int currentRecord;
	private int totalRecords; 
	private List data;

	/* (non-Javadoc)
	 * @see gov.va.med.fw.persistent.QueryIncrementTracker#getIncrementalData()
	 */
	public List getIncrementalData() {
		return data;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.fw.persistent.QueryIncrementTracker#setIncrementalData(java.util.List)
	 */
	public void setIncrementalData(List data) {
		this.data = data;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.fw.persistent.QueryIncrementTracker#getCurrentRecord()
	 */
	public int getCurrentRecord() {
		return currentRecord;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.fw.persistent.QueryIncrementTracker#setCurrentRecord(int)
	 */
	public void setCurrentRecord(int i) {
		this.currentRecord = i;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.fw.persistent.QueryIncrementTracker#getTotalRecords()
	 */
	public int getTotalRecords() {
		return totalRecords;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.fw.persistent.QueryIncrementTracker#setTotalRecords(int)
	 */
	public void setTotalRecords(int i) {
		this.totalRecords = i;
	}
}
